Bug 1467304 - RFE: --disableplugin should print error/warning on non-existing plugin
Summary: RFE: --disableplugin should print error/warning on non-existing plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-03 10:58 UTC by srakitnican
Modified: 2019-07-30 01:14 UTC (History)
6 users (show)

Fixed In Version: dnf-4.2.7-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-30 01:14:49 UTC
Type: Bug


Attachments (Terms of Use)

Description srakitnican 2017-07-03 10:58:46 UTC
Description of problem: 
$ rpm -q dnf
dnf-2.4.1-1.fc26.noarch
dnf-2.5.1-1.fc26.noarch
$ sudo dnf --disableplugin=protected_packages remove dnf-2.5.1-1.fc26.noarch
Error: 
 Problem: The operation would result in removing the following protected packages: dnf


Additional info: This system failed to upgrade most likely because of libdb issue, bug #1465292 .

Comment 1 Igor Gnatenko 2017-07-03 11:00:03 UTC
it is not a plugin....


Use `--setopt=protected_packages=`

Comment 2 srakitnican 2017-07-03 11:26:02 UTC
So that functionality changed with dnf 2? Thank you.

On a side note, it would be nice if dnf would show some message if plugin is invalid, considering that protected_packages is no longer a plugin?

$ sudo dnf --disableplugin=non_existent_plugin remove dnf 
Error: 
 Problem: The operation would result in removing the following protected packages: dnf

Comment 3 amaksoft 2017-11-15 07:52:53 UTC
Minor correction for Igor's answer. Remove "=" after setopt.
i.e you type:

dnf remove --duplicates --setopt protected_packages=

Worked perfectly for me. dnf-0:2.7.5-1.fc26.noarch

Comment 4 Martin Hatina 2017-11-21 13:38:31 UTC
Fixed by https://github.com/rpm-software-management/dnf/pull/986

Comment 5 Fedora End Of Life 2018-05-03 08:17:29 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2018-05-29 11:59:51 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Jaroslav Mracek 2019-04-12 17:52:20 UTC
I created a patch that start to report if search for plugin failed https://github.com/rpm-software-management/dnf/pull/1374.

Comment 9 Fedora Update System 2019-07-04 13:50:27 UTC
FEDORA-2019-58c2d3f1aa has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-58c2d3f1aa

Comment 10 Fedora Update System 2019-07-05 00:45:59 UTC
dnf-4.2.7-1.fc30, libdnf-0.35.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-58c2d3f1aa

Comment 11 Fedora Update System 2019-07-23 07:21:23 UTC
FEDORA-2019-672a74d688 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-672a74d688

Comment 12 Fedora Update System 2019-07-24 01:44:19 UTC
dnf-4.2.7-2.fc30, libdnf-0.35.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-672a74d688

Comment 13 Fedora Update System 2019-07-30 01:14:49 UTC
dnf-4.2.7-2.fc30, libdnf-0.35.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.